Name: libspe
Version: 1.0.1
Release: 2
License: LGPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/libspe
Exclusivearch: ppc ppc64 noarch
Summary: SPE Runtime Management Library

%ifarch noarch
%define sysroot /usr/share/cbea/sysroot/
%define set_optflags %{nil}
%else
%define sysroot %{nil}
%define set_optflags OPTFLAGS="%{optflags}"
%endif

%package devel
Summary: SPE Runtime Management Library
Group: Development/Libraries

%package -n elfspe
Summary: Helper for standalong SPE applications
Group: System/Libraries

%description
SPE Runtime Management Library for the
Cell Broadband Engine Architecture.

%description devel
Header and object files for SPE Runtime
Management Library.

%description -n elfspe
This tool acts as a standalone loader for spe binaries.

%prep

%setup

%build
make SYSROOT=%{sysroot} %{set_optflags} prefix=%{_prefix} libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT%{sysroot}

make install DESTDIR=$RPM_BUILD_ROOT SYSROOT=%{sysroot} prefix=%{_prefix} libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{sysroot}%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{sysroot}%{_libdir}/*.so
%{sysroot}%{_libdir}/*.a
%{sysroot}%{_includedir}

%files -n elfspe
%defattr(-,root,root)
%{sysroot}%{_bindir}
